org.apache.solr.common.params

## Interface ShardParams

-     public interface ShardParams

  Parameters used for distributed search. When adding a new parameter here, please also add the corresponding one-line test case in the ShardParamsTest class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_ROUTE_`
    `static String` | `DISTRIB_SINGLE_PASS` Force a single-pass distributed query? (true/false)
    `static String` | `IDS` IDs of the shard documents
    `static String` | `IS_SHARD` whether the request goes to a shard
    `static String` | `SHARD_URL` The requested URL for this shard
    `static String` | `SHARDS` the shards to use (distributed configuration)
    `static String` | `SHARDS_INFO` Request detailed match info for each shard (true/false)
    `static String` | `SHARDS_PURPOSE` query purpose for shard requests
    `static String` | `SHARDS_QT` The Request Handler for shard requests
    `static String` | `SHARDS_ROWS` per-shard start and rows
    `static String` | `SHARDS_START`
    `static String` | `SHARDS_TOLERANT` Should things fail if there is an error? (true/false)

- - ### Field Detail

    - #### SHARDS

          static final String SHARDS

      the shards to use (distributed configuration)
      See Also:
        Constant Field Values

    - #### SHARDS_ROWS

          static final String SHARDS_ROWS

      per-shard start and rows
      See Also:
        Constant Field Values

    - #### SHARDS_START

          static final String SHARDS_START

      See Also:
        Constant Field Values

    - #### IDS

          static final String IDS

      IDs of the shard documents
      See Also:
        Constant Field Values

    - #### IS_SHARD

          static final String IS_SHARD

      whether the request goes to a shard
      See Also:
        Constant Field Values

    - #### SHARD_URL

          static final String SHARD_URL

      The requested URL for this shard
      See Also:
        Constant Field Values

    - #### SHARDS_QT

          static final String SHARDS_QT

      The Request Handler for shard requests
      See Also:
        Constant Field Values

    - #### SHARDS_INFO

          static final String SHARDS_INFO

      Request detailed match info for each shard (true/false)
      See Also:
        Constant Field Values

    - #### SHARDS_TOLERANT

          static final String SHARDS_TOLERANT

      Should things fail if there is an error? (true/false)
      See Also:
        Constant Field Values

    - #### SHARDS_PURPOSE

          static final String SHARDS_PURPOSE

      query purpose for shard requests
      See Also:
        Constant Field Values

    - #### _ROUTE_

          static final String _ROUTE_

      See Also:
        Constant Field Values

    - #### DISTRIB_SINGLE_PASS

          static final String DISTRIB_SINGLE_PASS

      Force a single-pass distributed query? (true/false)
      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.